import request from '@/utils/request';

// 获取全部告警规则
export function select(params) {
  return request({
    url: '/system/warningRule/select',
    params
  });
}

// 获取全部告警类型
export function type(params) {
  return request({
    url: '/system/signal/fault/select',
    params
  });
}

// 保存信号量告警规则
export function update(data) {
  return request({
    url: '/system/warningRule/save',
    method: 'POST',
    data
  });
}

// 活动告警列表
export function list(params) {
  return request({
    url: '/system/warning/list',
    params
  });
}
